Skip to main content
Effective Date — May 7, 2026
As part of the IAM hierarchy simplification, a new format of the TIR APIs is now available. All endpoints that previously included /teams/:team_id segment will now follow a service-centric structure, with project_id now passed as a query parameter instead of a path segment. You can read more about this change

Sarvam Translate

Sarvam Translate is a multilingual translation model specializing in Indian languages, enabling seamless translation across multiple language pairs.

POST/project/p-{Project_Id}/genai/sarvam_translate/v1/chat/completions

Query parameters

  • project_idQueryintegerrequired

    Project ID

Request body

application/json

object
temperaturenumber
example0.5
max_tokensinteger
example300
top_pnumber
example1
frequency_penaltynumber
example0
presence_penaltynumber
example1
streamboolean
examplefalse
modelstring
examplesarvam_translate
messagesarray

Responses

No StreamSuccessful response (Non-streaming)
object
idstring
examplechatcmpl-5bf016be-7107-4157-98d7-badbf5293e95
objectstring
examplechat.completion
createdinteger
example1770614476
modelstring
examplesarvam_translate
choicesarray
usageobject
prompt_logprobsstring
kv_transfer_paramsstring
StreamSuccessful response (Streaming mode)
string
exampledata: {"id":"chatcmpl-def456","object":"chat.completion.chunk","created":1770614476,"model":"sarvam_translate","choices":[{"index":0,"delta":{"role":"assistant","content":""},"logprobs":null,"finish_reason":null}]} data: {"id":"chatcmpl-def456","object":"chat.completion.chunk","created":1770614476,"model":"sarvam_translate","choices":[{"index":0,"delta":{"content":"क्या"},"logprobs":null,"finish_reason":null}]} data: {"id":"chatcmpl-def456","object":"chat.completion.chunk","created":1770614476,"model":"sarvam_translate","choices":[{"index":0,"delta":{"content":" आप"},"logprobs":null,"finish_reason":null}]} data: {"id":"chatcmpl-def456","object":"chat.completion.chunk","created":1770614476,"model":"sarvam_translate","choices":[{"index":0,"delta":{"content":" ओपन"},"logprobs":null,"finish_reason":null}]} data: {"id":"chatcmpl-def456","object":"chat.completion.chunk","created":1770614476,"model":"sarvam_translate","choices":[{"index":0,"delta":{"content":" सोर्स"},"logprobs":null,"finish_reason":null}]} data: {"id":"chatcmpl-def456","object":"chat.completion.chunk","created":1770614476,"model":"sarvam_translate","choices":[{"index":0,"delta":{"content":" मशीन"},"logprobs":null,"finish_reason":null}]} data: {"id":"chatcmpl-def456","object":"chat.completion.chunk","created":1770614476,"model":"sarvam_translate","choices":[{"index":0,"delta":{"content":" लर्निंग"},"logprobs":null,"finish_reason":null}]} data: {"id":"chatcmpl-def456","object":"chat.completion.chunk","created":1770614476,"model":"sarvam_translate","choices":[{"index":0,"delta":{"content":" के"},"logprobs":null,"finish_reason":null}]} data: {"id":"chatcmpl-def456","object":"chat.completion.chunk","created":1770614476,"model":"sarvam_translate","choices":[{"index":0,"delta":{"content":" बारे"},"logprobs":null,"finish_reason":null}]} data: {"id":"chatcmpl-def456","object":"chat.completion.chunk","created":1770614476,"model":"sarvam_translate","choices":[{"index":0,"delta":{"content":" में"},"logprobs":null,"finish_reason":null}]} data: {"id":"chatcmpl-def456","object":"chat.completion.chunk","created":1770614476,"model":"sarvam_translate","choices":[{"index":0,"delta":{"content":" कविता"},"logprobs":null,"finish_reason":null}]} data: {"id":"chatcmpl-def456","object":"chat.completion.chunk","created":1770614476,"model":"sarvam_translate","choices":[{"index":0,"delta":{"content":" लिख"},"logprobs":null,"finish_reason":null}]} data: {"id":"chatcmpl-def456","object":"chat.completion.chunk","created":1770614476,"model":"sarvam_translate","choices":[{"index":0,"delta":{"content":" सकते"},"logprobs":null,"finish_reason":null}]} data: {"id":"chatcmpl-def456","object":"chat.completion.chunk","created":1770614476,"model":"sarvam_translate","choices":[{"index":0,"delta":{"content":" हैं?"},"logprobs":null,"finish_reason":"stop"}]} data: [DONE]